yast2-ncurses: NCursesEvent Class Reference

Main Page | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members

# NCursesEvent Class Reference

`#include <NCurses.h>`

Inheritance diagram for NCursesEvent:

List of all members.

## Public Types
enum | Type { handled = -1, none = 0, cancel, timeout, button, menu, key }
enum | DETAIL { NODETAIL = -1, CONTINUE = -2, USERDEF = -3 }
## Public Member Functions
| NCursesEvent (Type t=none, YEvent::EventReason r=YEvent::UnknownReason)
virtual | ~NCursesEvent ()
| operator void * () const
bool | operator== (const NCursesEvent &e) const
bool | operator!= (const NCursesEvent &e) const
bool | isReturnEvent () const
bool | isInternalEvent () const
## Public Attributes
Type | type
NCWidget * | widget
YCPValue | selection
YCPValue | result
string | keySymbol
int | detail
YEvent::EventReason | reason
## Static Public Attributes
static const NCursesEvent | Activated
static const NCursesEvent | SelectionChanged
static const NCursesEvent | ValueChanged

## Member Enumeration Documentation

enum NCursesEvent::DETAIL

  | Enumeration values:
  NODETAIL |
  CONTINUE |
  USERDEF |

enum NCursesEvent::Type

  | Enumeration values:
  handled |
  none |
  cancel |
  timeout |
  button |
  menu |
  key |

## Constructor & Destructor Documentation

NCursesEvent::NCursesEvent | ( | Type | t = `none`,
|  | YEvent::EventReason | r = `YEvent::UnknownReason`
| ) | `[inline]`

virtual NCursesEvent::~NCursesEvent | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

bool NCursesEvent::isInternalEvent | ( |  | ) | const`[inline]`

bool NCursesEvent::isReturnEvent | ( |  | ) | const`[inline]`

NCursesEvent::operator void * | ( |  | ) | const`[inline]`

bool NCursesEvent::operator!= | ( | const NCursesEvent & | e | ) | const`[inline]`

bool NCursesEvent::operator== | ( | const NCursesEvent & | e | ) | const`[inline]`

## Member Data Documentation

const NCursesEvent NCursesEvent::Activated`[static]`

int NCursesEvent::detail

string NCursesEvent::keySymbol

YEvent::EventReason NCursesEvent::reason

YCPValue NCursesEvent::result

YCPValue NCursesEvent::selection

const NCursesEvent NCursesEvent::SelectionChanged`[static]`

Type NCursesEvent::type

const NCursesEvent NCursesEvent::ValueChanged`[static]`

NCWidget* NCursesEvent::widget

The documentation for this class was generated from the following files:

- NCurses.h
- NCurses.cc